package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

public enum CourseStatusEnum implements BaseEnum<String,CourseStatusEnum> {
    NOT_START("NOT_START","未开始"),
    UNDERWAY("UNDERWAY","进行中"),
    OVER("OVER","已结束");

    private String code;

    private String msg;

    CourseStatusEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }}
